@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
	--body_typography-font-family: "Open Sans", sans-serif;
	--body_typography-font-weight: 600;
	--h1_typography-font-weight: 600;
	--main_padding-top: 25px;
	--main_padding-bottom: 0;
	--button_color: #1B743A;
	--form_label_size: 1.5rem;
	--form_text_size: 1.3rem;
	--button_font_size: var(--form_label_size);
	--choice_field_size: 1rem;
}

/* Disable chat widget */
#chat-widget-container {
	display: none;
}

body {
	font-size: 1.9rem;	
}

sup {
	font-size: 0.7em;
}

.tagline {
	margin: 0;
	margin-top: -1rem;
	margin-bottom: 3rem;
	text-align: left;
	font-style: italic;
	font-size: 1.5rem;
}

/* Keep footer at bottom */
#wrapper {
	display: flex;
	flex-direction: column;
	min-height: 100dvh;
}
#main {
	flex: 1 0 auto;
}
.fusion-footer-parallax.awb-footer-fixed {
	z-index: 0;
	position: relative;
}

.disclaimer-asterisk {
	line-height: 0;
	font-size: 1.25rem;
	top: 0;
}

.disclaimer {
	font-size: 1rem;
}

p:has(> .disclaimer) {
	margin-top: 2rem;
}

.fusion-page-title-bar {
	margin-bottom: 1.25rem;
}

#gform_12 {
	display: flex;
	flex-wrap: wrap;
}

#gform_12 > div {
	flex-basis: 100%;
	flex-shrink: 0;
}

#gform_12 > .gf_progressbar_wrapper {
	order: 2;
}

.gform_wrapper {
	margin-top: 4rem;
}

.gform_wrapper.gravity-theme .gf_progressbar_title {
	font-size: 16px;
}

.gform_wrapper.gravity-theme .gf_progressbar_percentage.percentbar_blue {
	background-color: var(--button_color);
}

.gform_wrapper.gravity-theme .gform_fields {
	row-gap: 4.75rem;
}

.gform_wrapper.gravity-theme .gform_body input,
.gform_wrapper.gravity-theme .gfield--type-choice label {
	font-size: var(--form_text_size);
	line-height: 1.5;
}

.gform_wrapper.gravity-theme .gfield_label {
	font-size: var(--form_label_size);
}

.gform_wrapper.gravity-theme .gfield-choice-input {
	width: var(--choice_field_size);
	height: var(--choice_field_size);
}

output {
	font-size: 2.25rem;
	width: 4ch;
}

#gform_12 input[type=button],
#gform_12 input[type=submit],
#main .fusion-button-default {
	background-color: var(--button_color);
    height: 4rem;
	max-width: fit-content;
	line-height: normal;
	font-size: 1.5rem;
}

input[type=email] {
	height: 3rem;
}

#gform_12 .gfield input[type=text] {
	max-width: 1036px;
	height: 3.5rem;
}

#gform_12 .gwp_slider input {
	padding: 0;
}

#gform_12 .gwp_ruler {
	margin-left: 1.5rem;
	width: calc(100% - 3rem) !important;
	border: none;
}

#gform_12 .gwp_slider_ruler-number span {
	font-size: var(--form_text_size);
}

#gform_12 .gwp_slider_ruler-number span::before {
	display: none;
}

#gform_12 .gwp_slider_ruler-number.current span {
	font-size: 2.25rem;
}

.gform_wrapper.gravity-theme .gform_footer,
.gform_wrapper.gravity-theme .gform_page_footer {
	margin-top: 3rem;
	justify-content: center;
}

.gform_required_legend {
	display: none;
}

.gform_wrapper.gravity-theme .instruction {
	display: none;
}

.gform_wrapper.gravity-theme .hide-instructions .instruction {
	display: none !important;
}

.gform_page_footer {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-end;
	gap: 1rem;
}

.gform_page_footer > input {
	flex-basis: 150px;
	flex-shrink: 0;
	flex-grow: 0;
	margin-left: 0;
}

.savings-grid {
	display: grid;
    grid-template-columns: max-content 1fr;
	width: fit-content;
	margin-left: auto;
	margin-right: auto;	
	margin-bottom: 50px;
}

.savings-grid dd {
	margin-left: 36px;
	padding-left: 0.75rem;
	padding-right: 0.75rem;
	justify-self: end;
}

.savings-total {
	font-weight: 900;
	padding-top: 0.75rem;
	padding-bottom: 0.75rem;
}

dd.savings-total {
	font-size: 3rem;
	border-top: 1px solid;
}

.email-form {
	margin-left: auto;
	margin-right: auto;
}

.email-form label {
	display: block;
	margin-bottom: 5px;
}

.email-form div {
	display: flex;
	align-items: center;
	gap: 20px
}

#email-loader {
	text-align: center;
}

#email-loader p {
	margin-bottom: 2rem;
}

/* Seems to be the mobile breakpoint for Avada */
@media (max-width: 640px) {
	.savings-grid {
		grid-template-columns: 1fr;
	}

	.savings-grid dd {
		justify-self: start;
	}

	dd.savings-total {
		border-top: none;
	}

	.email-form div {
		flex-wrap: wrap;
	}
}

#gform_12 .gwp_slider input[type=range] {
	background: none;
	border: none;
	height: 25px;
}

.gwp_slider {
	margin-top: 0.5rem;
}

/*
 * Slider Design
 * 
 * Source: https://gravitywp.com/html5-slider-css-generator/
 */
.gwp_slider input[type=range] {
	height: 60px;
	-webkit-appearance: none;
	width: 100%;
}

.gwp_slider input[type=range]::-webkit-slider-runnable-track {
	width: 100%;
	height: 25px;
	cursor: pointer;
	animate: 0.2s;
	box-shadow: 0px 0px 0px 1px #CECECE;
	background: #2d9042;
	border-radius: 20px;
	border: 0px solid #327397;
}

.gwp_slider input[type=range]::-webkit-slider-thumb { 
	box-shadow: 0px 0px 0px #858789;
	border: 0px solid #000000; 
	height: 50px;
	width: 50px; 
	border-radius: 25px; 
	background: #4053ec;  
	cursor: pointer;
	-webkit-appearance: none; 
	margin-top: -12.5px; 
} 

.gwp_slider input[type=range]:focus::-webkit-slider-runnable-track {
  background: #2d9042;
}

.gwp_slider input[type=range]::-moz-range-track {
  width: 100%;
  height: 25px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #CECECE;
  background: #2d9042;
  border-radius: 20px;
  border: 0px solid #327397;
}

.gwp_slider input[type="range"]::-moz-range-progress {
  background-color: #252525;
  height: 25px;
  border: none;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}

.gwp_slider input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px #858789;
  border: 0px solid #000000;
  height: 50px;
  width: 50px;
  border-radius: 25px;
  background: #4053ec;
  cursor: pointer;
}

.gwp_slider input[type=range]::-ms-track {
  width: 100%;
  height: 25px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  color: transparent;
}

.gwp_slider input[type=range]::-ms-fill-lower {
  background: #2d9042;
  border: 0px solid #327397;
  border-radius: 40px;
  box-shadow: 0px 0px 0px #CECECE;
}

.gwp_slider input[type=range]::-ms-fill-upper {
  background: #2d9042;
  border: 0px solid #327397;
  border-radius: 40px;
  box-shadow: 0px 0px 0px #CECECE;
}

.gwp_slider input[type=range]::-ms-thumb {
  margin-top: 1px;
  box-shadow: 0px 0px 0px #858789;
  border: 0px solid #000000;
  height: 50px;
  width: 50px;
  border-radius: 25px;
  background: #4053ec;
  cursor: pointer;
}

.gwp_slider input[type=range]:focus::-ms-fill-lower {
  background: #2d9042;
}

.gwp_slider input[type=range]:focus::-ms-fill-upper {
  background: #2d9042;
}

@media (-ms-high-contrast:none),(-ms-high-contrast:active) {
	.gwp_slider input[type=range] {
	height: 120px;
	}
}


/*
 * Checkmark Spinner
 *
 * Source: https://codepen.io/egodyston/pen/WdvoXB
 */
.circle-loader {
	font-size: 10px;
	margin: 0 0 10px 0;
	border: 3px solid rgba(0, 0, 0, 0.1);
	border-left-color: var(--button_color);
	animation-name: loader-spin;
	animation-duration: 1s;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
	position: relative;
	display: inline-block;
	vertical-align: top;
}

.circle-loader,
.circle-loader:after {
	border-radius: 50%;
	width: 6em;
	height: 6em;
}

.load-complete {
	-webkit-animation: none;
	animation: none;
	border-color: var(--button_color);
	transition: border 500ms ease-out;
}

.checkmark {
	display: none;
}
.checkmark.draw:after {
	animation-duration: 800ms;
	animation-timing-function: ease;
	animation-name: checkmark;
	transform: scaleX(-1) rotate(135deg);
}
.checkmark:after {
	opacity: 1;
	height: 3em;
	width: 1.5em;
	transform-origin: left top;
	border-right: 3px solid var(--button_color);
	border-top: 3px solid var(--button_color);
	content: "";
	left: 1em;
	top: 3em;
	position: absolute;
}

@keyframes loader-spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
	}
	@keyframes checkmark {
	0% {
		height: 0;
		width: 0;
		opacity: 1;
	}
	20% {
		height: 0;
		width: 1.5em;
		opacity: 1;
	}
	40% {
		height: 3em;
		width: 1.5em;
		opacity: 1;
	}
	100% {
		height: 3em;
		width: 1.5em;
		opacity: 1;
	}
}
.btn-success {
	background: #4D4D4F;
	border-color: #4D4D4F;
}

.btn-success:hover {
	background: var(--button_color);
	border-color: var(--button_color);
}

.btn-success:active {
	background: var(--button_color);
	border-color: var(--button_color);
}

.btn-success:focus {
	background: var(--button_color);
	border-color: var(--button_color);
}